#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "mymodalalert.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    connect(ui->launchModalAlert, SIGNAL(clicked(bool)), this, SLOT(makeModalAlertClicked()));
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::makeModalAlertClicked()
{
    MyModalAlert anAlert(this);
    anAlert.exec();
}

