#include "mymodalalert.h"
#include "myapplication.h"

MyModalAlert::MyModalAlert(QWidget *parent) : QDialog(parent),//, Qt::MSWindowsFixedSizeDialogHint | Qt::CustomizeWindowHint | Qt::WindowTitleHint),
  _okButton(NULL),
  _buttons(new QButtonGroup(this))
{
    // Make this a modal dialog.
    setWindowModality(Qt::ApplicationModal);

    _okButton = new QPushButton("OKButton", this);
    _okButton->setObjectName(QLatin1String("_okButton"));
    _okButton->setDefault(true);
    _okButton->setFocus();
    _buttons->addButton(_okButton, 1);

    QHBoxLayout* buttonLayout = new QHBoxLayout;

    buttonLayout->addWidget(_okButton);

    setLayout(buttonLayout);

    connect(_buttons, SIGNAL(buttonClicked(int)), this, SLOT(_onButtonClicked(int)));
}

MyModalAlert::~MyModalAlert()
{

}

void MyModalAlert::_onButtonClicked(int buttonCode) {
    done(buttonCode);
}
